#ifndef INPUT_HANDLER_H
#define INPUT_HANDLER_H

#include <GLFW/glfw3.h>
#include "matrixMath.h"

extern bool exitRequested;
extern GLFWwindow *window;
extern vec3 cameraPosition;
extern vec3 objectPosition;
extern GLfloat radius;

void handleInputs(double deltaTime);
void keyboardHandler(GLFWwindow *window, int key, int scancode, int action, int mods);

#endif
